<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Storage;
use App\Models\Directiva;
use DataTables;
use Auth;
class DirectivaController extends Controller
{
    // //
    public function __construct()
    {
        $this->middleware('auth');      
    }
    public function listar(Request $request)
    {        
        $query = Directiva::get();
        return DataTables::of($query)->toJson();
    }  
    public function eliminar($id)
    {        
        $noticia=Directiva::where('id',$id)->delete();         
        if($noticia)
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }  
    public function estado(Request $request)
    {     
        //return $request;
        $estado=0;
        if($request->estado=="0")
            $estado=1;    
        $noticia=Directiva::find($request->id);         
        $noticia->estado=$estado;
        if($noticia->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function nuevo(Request $request)
    {             
        //return $request->oficio;
        $user=Auth::user()->id;
        $directiva= new Directiva;                                       
        $directiva->year=$request->year; 
        $directiva->numero=$request->numero; 
        $directiva->aprobacion=$request->aprobacion; 
        $directiva->nombre=$request->nombre; 
        $directiva->estado="1";
        $directiva->user_id=$user;

        if($request->hasFile('archivo')){
            $ruta = Storage::putFile('public/', $request->archivo);
            $directiva->ruta=str_replace('public/', 'storage', $ruta);
        }
        if($directiva->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
}
