<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Models\Noticia;
use DataTables;
use Auth;

class NoticiaController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');      
    }
    public function listar(Request $request)
    {        
        $query = Noticia::get();
        return DataTables::of($query)->toJson();
    }    
    public function nuevo(Request $request)
    {     
        
        //return $request->oficio;
        $user=Auth::user()->id;
        if($request->id=="0")
            $noticia= new Noticia;    
        else
           $noticia= Noticia::find($request->id);                                      
        $noticia->titulo=$request->titulo; 
        $noticia->descripcion=$request->descripcion;
        $noticia->corta=$request->corta;;
        $noticia->estado="1";
        $noticia->user_id=$user;

        if($request->hasFile('archivo')){
            $ruta = Storage::putFile('public/', $request->archivo);
            $noticia->ruta=str_replace('public/', 'storage', $ruta);
        }
        if($noticia->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function estado(Request $request)
    {     
        //return $request;
        $estado=0;
        if($request->estado=="0")
            $estado=1;    
        $noticia=Noticia::find($request->id);         
        $noticia->estado=$estado;
        if($noticia->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function eliminar($id)
    {        
        $noticia=Noticia::where('id',$id)->delete();         
        if($noticia)
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
}
