<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('paginas', function (Blueprint $table) {
            $table->id();
            $table->string('titulo')->nullable();
            $table->string('link')->unique();
            $table->string('nombre')->unique();
            $table->text('descripcion')->nullable();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->tinyInteger('estado')->default(1);
            $table->string('ruta')->nullable();//activo
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('paginas');
    }
};
