<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Noticia;
use App\Models\Directiva;
use App\Models\Pagina;
use App\Models\Agenda;
use App\Models\Vista;

use Carbon\Carbon;
class AdministracionController extends Controller
{
    
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');      
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $menu="index";
        $submenu="";
        return view('/administracion/usuarios');
    }
    public function usuario()
    {
        $menu="index";
        $submenu="";
        return view('/administracion/usuarios');
    }
    public function noticia()
    {
        $menu="index";
        $submenu="";
        $id=0;
        return view('/administracion/noticias');
    }
    public function nueva_noticia($ids)
    {
        $id=0;
        $noticia=null;
        if($ids!=0){
            $noticia=Noticia::find($ids);
            $id=$noticia->id;
        }
        $menu="index";
        $submenu="";
        return view('/administracion/nueva_noticia',compact('id','noticia'));
    }
    public function comunicados()
    {
        $menu="index";
        $submenu="";
        $id=0;
        return view('/administracion/comunicados');
    }
    public function directivas()
    {
        $menu="index";
        $submenu="";
        $id=0;
        return view('/administracion/directivas');
    }
    public function agenda_alcaldia($agenda)
    {      
        $menu="index";
        $submenu="";
        $id=0; 
        return view('/administracion/agenda',compact('agenda'));

    } 
    public function index2(Request $request)
    {
        $ahora = Carbon::now();  
        $registros = Agenda::whereYear('fecha',$ahora->year)->whereMonth('fecha',$ahora->month)->where('estado',1)->count();
        return view('agenda.index',compact('registros'));
    }
    public function pagina(Request $request)
    {
        $ahora = Carbon::now();  
        $paginas = Pagina::get();
        return view('administracion.pagina',compact('paginas'));
    }
    public function vista(Request $request)
    {
        $menu="";
        $submenu="";
        $ahora = Carbon::now();  
        $pagina = Vista::find(1);
        return view('administracion.vista_previa',compact('pagina','menu','submenu'));
    }

    public function registro(Request $request)
    {
        $user = Auth::user();
        $dependencias = Personal_dependencia::with('dependencia')->where('personal_id', $user->personal_id)->where('estado', 1)->orderBy('created_at', 'desc')->get();
        $d_actual = null;

        if(count($dependencias) > 0)
        {
            if ($request->has('d')) {
                $index = 0;
                for ($i=0; $i < count($dependencias) ; $i++) { 
                    if($dependencias[$i]->dependencia_id == $request->d)
                        $index = $i;
                }
                $d_actual = $dependencias[$index]->dependencia;
            }
            else            
                $d_actual = $dependencias[0]->dependencia;
        }

        return view('agenda.registro',compact('dependencias','d_actual'));
    }
}
