<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Agenda;
use Validator;

use DB;
class PublicoController extends Controller
{
    //
    public function agendas(Request $request)
    {
        $validator = Validator::make($request->all(), [             
            'year' => 'required',
            'mes' => 'required'
        ]);
    
        if ($validator->fails()) {
            return response()->json(['message'=>$validator->errors()], 500);
        }

        $input = $request->all(); 

        $agendas = Agenda::where('tipo',$request['tipo'])->select('id', 'titulo', 'descripcion', 'lugar', 'fecha', 'inicio', 'fin', DB::raw('YEAR(fecha) as year'), DB::raw('MONTH(fecha) as mes'), DB::raw('DAY(fecha) as dia'))              
                ->whereYear('fecha', $request['year'])
                ->whereMonth('fecha', $request['mes'])
                ->where('estado',1)
                ->orderBy('fecha', 'asc')
                ->get();


        return response()->json(['datos' => $agendas], 200);
    }
}
