var documento_id=0;
$( document ).ready(function() {

    tabla = $("#t_directivas").DataTable({
        "processing": true,
        "serverSide": true,
        "pageLength": 50,
        "order": [],
        "ajax": {
            "url":  "/json/directivas/",
            "type": "GET",
            "data": function ( d ) {                
            },
            "error": default_error_handler        
        },
        "columns": [
            { "data": "year"},
            { "data": "numero"},
            { "data": "aprobacion"},
            { "data": "nombre"},
            {"data": null,//estado
                "searchable": false, "orderable": false, className: "w-1",
                    render: function ( data, type, full ) {  
                        if(full.estado==1)
                        return '<div class="btn-list flex-nowrap">'+
                                    '<a class="btn btn-white btn-icon text-green" href="javascript:void(0);" onclick="cambiar('+full.estado+','+full.id+')" title="Ocultar">'+
                                        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye-filled" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 4c4.29 0 7.863 2.429 10.665 7.154l.22 .379l.045 .1l.03 .083l.014 .055l.014 .082l.011 .1v.11l-.014 .111a.992 .992 0 0 1 -.026 .11l-.039 .108l-.036 .075l-.016 .03c-2.764 4.836 -6.3 7.38 -10.555 7.499l-.313 .004c-4.396 0 -8.037 -2.549 -10.868 -7.504a1 1 0 0 1 0 -.992c2.831 -4.955 6.472 -7.504 10.868 -7.504zm0 5a3 3 0 1 0 0 6a3 3 0 0 0 0 -6z" stroke-width="0" fill="currentColor" /></svg>'+
                                    '</a>'+
                                '</div>'; 
                        else
                            return '<div class="btn-list flex-nowrap">'+
                                    '<a class="btn btn-white btn-icon text-red" href="javascript:void(0);" onclick="cambiar('+full.estado+','+full.id+')" title="Mostrar">'+
                                        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye-off" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none" /><path d="M10.585 10.587a2 2 0 0 0 2.829 2.828" /><path d="M16.681 16.673a8.717 8.717 0 0 1 -4.681 1.327c-3.6 0 -6.6 -2 -9 -6c1.272 -2.12 2.712 -3.678 4.32 -4.674m2.86 -1.146a9.055 9.055 0 0 1 1.82 -.18c3.6 0 6.6 2 9 6c-.666 1.11 -1.379 2.067 -2.138 2.87" /><path d="M3 3l18 18" /></svg>'+
                                    '</a>'+
                                '</div>'; 
                }
            },
            { 
                "data": null,
                "searchable": false, "orderable": false, className: "w-1",
                    render: function ( data, type, full ) {   
                    var res ='<div class="btn-list flex-nowrap">'+
                                '<a class="btn btn-white btn-icon" onclick="eliminar('+full.id+');" title="Eliminar">'+
                                    '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 7l16 0" /><path d="M10 11l0 6" /><path d="M14 11l0 6" /><path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" /><path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" /></svg>'+
                                '</a>'+
                            '</div>';
                    return res;
                }
            }
        ],
        "dom": default_datatable_dom,
        "language": default_datatable_language,
        "initComplete" : default_datatable_buttons
    }); 
});
function cambiar(item,id) {    
    $.ajax({
        type: "POST",
        url: "/json/directivas/estado",
        data: {
            estado:item,
            id: id,
        },
        success: function(result){  
            tabla.ajax.reload();      
            alerta(result.message, true); 
        },
        error: function(error) {                
            alerta(response_helper(error), false);      
        }
    });        
}
function guardar() {   
    var archivo_subir = $("#inputImage")[0].files[0];
    var token = $("[name=_token]").val();
    var formData = new FormData();      
    formData.append('year', $("#year").val());  
    formData.append('numero', $("#numero").val());  
    formData.append('nombre', $("#nombre").val()); 
    formData.append('aprobacion', $("#aprobacion").val()); 
    formData.append('archivo', archivo_subir);     
    $.ajax({
        type: "POST",
        headers: { 'x-CSRF-TOKEN': token },
        url: "/json/directivas/nuevo",
        processData: false,
        contentType: false,
        data: formData,
        success: function(result){
             
            tabla.ajax.reload();
            $("#nuevo").modal("hide"); 
            alerta(result.message, true);
            //location.href="/administracion/noticias"      
        },
        error: function(error) {      
            alerta(response_helper(error),false);
        }
    });
}
function eliminar(id) {    
    
    if(confirm('Esta seguro que desea eliminar?'))
    {
        $.ajax({
            type: "DELETE",
            url: "/json/directivas/"+id,
            success: function(result){  
                tabla.ajax.reload();      
                alerta(result.message, true); 
            },
            error: function(error) {                
                alerta(response_helper(error), false);      
            }
        });        
    }
}