var tabla;
var editItem = 0;

$( document ).ready(function() {

    tabla = $("#t_agenda").DataTable({
        "processing": true,
        "serverSide": true,
        "pageLength": 50,
        "order": [],
        "ajax": {
            "url":  "/json/agenda/listar/"+agenda,
            "type": "GET",
            "data": function ( d ) {                
            },
            "error": default_error_handler        
        },
        "columns": [
            { "data": "fecha", className: "w-1",
            render: function ( data, type, full ) {                      
                return '<div class="lh-1">'+dis_fecha(data)+'</div><small class="d-block text-muted lh-1">'+full.inicio+' - '+full.fin+'</small>';
            }        
        },
        { "data": "titulo",
            render: function ( data, type, full ) {                      
                return '<small class="d-block lh-1 text-muted">'+textoMax(full.lugar,30)+'</small><div class="lh-1" title="'+data+'">'+textoMax(data,30)+'</div>';
            }        
        },  
        { "data": "user.siglas", "orderable": false, "searchable": false, className: "w-1 text-center",
            render: function ( data, type, full ) {                   
                return '<span title="'+full.user.nombre+'">'+full.user.nombre+'</span>';;
            }        
        },        
        { "data": "estado", "searchable": false, className: "w-1 text-center",
            render: function ( data, type, full ) {                      
                if(data == 1)
                    return '<svg xmlns="http://www.w3.org/2000/svg" class="icon text-success" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><circle cx="12" cy="12" r="2" /><path d="M22 12c-2.667 4.667 -6 7 -10 7s-7.333 -2.333 -10 -7c2.667 -4.667 6 -7 10 -7s7.333 2.333 10 7" /></svg>';
                else
                    return '<svg xmlns="http://www.w3.org/2000/svg" class="icon text-danger" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="3" y1="3" x2="21" y2="21" /><path d="M10.584 10.587a2 2 0 0 0 2.828 2.83" /><path d="M9.363 5.365a9.466 9.466 0 0 1 2.637 -.365c4 0 7.333 2.333 10 7c-.778 1.361 -1.612 2.524 -2.503 3.488m-2.14 1.861c-1.631 1.1 -3.415 1.651 -5.357 1.651c-4 0 -7.333 -2.333 -10 -7c1.369 -2.395 2.913 -4.175 4.632 -5.341" /></svg>';
            }        
        },         
        { 
            "data": null,
            "searchable": false, "orderable": false, className: "w-1",
                render: function ( data, type, full ) {   
                    var res ='<div class="btn-list flex-nowrap">'+
                                '<a class="btn btn-white btn-icon" href="javascript:void(0);" onclick="modificar('+full.id+');" title="Modificar">'+
                                    '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 7h-1a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-1" /><path d="M20.385 6.585a2.1 2.1 0 0 0 -2.97 -2.97l-8.415 8.385v3h3l8.385 -8.415z" /><path d="M16 5l3 3" /></svg>'+
                                '</a>'+
                                '<a class="btn btn-white btn-icon" onclick="eliminar('+full.id+');" title="Eliminar">'+
                                    '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 7l16 0" /><path d="M10 11l0 6" /><path d="M14 11l0 6" /><path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" /><path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" /></svg>'+
                                '</a>'+
                            '</div>';
                return res;
            }
        }
        ],
        "dom": default_datatable_dom,
        "language": default_datatable_language,
        "initComplete" : default_datatable_buttons
    }); 
    const picker = new Litepicker({ format: "DD/MM/YYYY", element: document.getElementById('fecha') });
    $('#dependencia_select').on('change', function() {
        tabla.ajax.reload();
    });
    
});

function nuevo() 
{
    editItem = 0;
    $("#titulo_editar").html("Nuevo registro"); 
    limpiar('#form_editar');
    vaciar('#form_editar');
    $("#editar").modal("show");
}

function modificar(iditem) 
{
    editItem = iditem;
    limpiar('#form_editar');
    vaciar('#form_editar');

    var data = tabla.rows().data();
    var objitem = elementId(iditem, data);

    if(objitem != null)
    {
        $("#titulo").val(objitem.titulo);
        $("#descripcion").val(safeText(objitem.descripcion));
        $("#lugar").val(objitem.lugar);
        $("#fecha").val(dis_fecha(objitem.fecha));
        $("#inicio").val(objitem.inicio);
        $("#fin").val(objitem.fin);          
        $('#estado').prop('checked', (objitem.estado == 1));
        $("#titulo_editar").html("Modificar registro"); 
        $("#editar").modal("show");
    }
    else
        alert("No se encontro el item");          
}


function guardar() 
{
    if(validar('#form_editar'))
    {
        if(!hora_mayor($("#fin").val(), $("#inicio").val())){       
            alert("La hora fin debe ser mayor a la hora inicio", false);
            return;
        } 

        $("#editar").modal("hide");
        if(editItem == 0)//nuevo
        {        
            $.ajax({
                type: "POST",
                url: "/json/agenda/nuevo",
                data: {
                    dependencia_id: $("#dependencia_id").val(),
                    titulo: $("#titulo").val(),
                    descripcion: $("#descripcion").val(),
                    lugar: $("#lugar").val(),
                    fecha: db_fecha($("#fecha").val())+" "+$("#inicio").val()+":00",
                    inicio: $("#inicio").val(),
                    fin: $("#fin").val(),
                    tipo: agenda,
                    estado: ($("#estado").is(':checked') ? 1 : 0 )
                },
                success: function(result){  
                    alerta(result.message, true); 
                    tabla.ajax.reload();
                },
                error: function(error) {                
                    alerta(response_helper(error), false);      
                }
            });                     
        }
        else
        {
            $.ajax({
                type: "POST",
                url: "/json/agenda/modificar/"+editItem,
                data: {  
                    titulo: $("#titulo").val(),
                    descripcion: $("#descripcion").val(),
                    lugar: $("#lugar").val(),
                    fecha: db_fecha($("#fecha").val())+" "+$("#inicio").val()+":00",
                    inicio: $("#inicio").val(),
                    fin: $("#fin").val(),
                    estado: ($("#estado").is(':checked') ? 1 : 0 )
                },
                success: function(result){
                    tabla.ajax.reload();
                    alerta(result.message, true); 
                },
                error: function(error) {                
                    alerta(response_helper(error), false);            
                }
            });
        }
    }    
}


function eliminar(iditem) {
    if(confirm('Esta seguro que desea eliminar?'))
    {
        $.ajax({
            type: "POST",
            url: "/json/agenda/eliminar/"+iditem,        
            success: function(result){  
                alerta(result.message, true); 
                tabla.ajax.reload();
            },
            error: function(error) {                
                alerta(response_helper(error), false);                       
            }
        });
    }
}

function hora_mayor(fin, inicio) {
    var resultado = false;
    try {
        var date_inicio = new Date("2000-01-01 "+inicio+":00");
        var date_fin = new Date("2000-01-01 "+fin+":00");
        if(date_fin > date_inicio){
            resultado = true;
        }
    } catch (error) {}
    return resultado;
}