var dia = 0;
var mes = 0;
var año = 0;
var meses_texto = ['ENERO','FEBRERO','MARZO','ABRIL','MAYO','JUNIO','JULIO','AGOSTO','SETIEMBRE','OCTUBRE','NOVIEMBRE','DICIEMBRE'];

//42 celdas
var celdas = [];
var agendas = [];

$( document ).ready(function() {
    //inicializar
    var hoy = new Date();
    dia = hoy.getDate();
    mes = hoy.getMonth() ;
    año = hoy.getFullYear();
    obtener_datos();  
});

function obtener_datos() {  
    $.ajax({
        type: "POST",
        url: "/json/procesar/agendas",
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        data: {
            year: año,
            mes: mes + 1,
            tipo:tipo,
        },
        success: function(result){  
            agendas = result.datos;
            calcular();
            render();
        },
        error: function(error) {                
        }
    });    
}


function calcular() {

    var temp_date = new Date(año, mes, 1);
    let diaSemana = temp_date.getDay() || 7;    
    let maxMes = 32 - new Date(año, mes, 32).getDate();

    celdas = [];
    let ahora = new Date();
    var dia_mes_cont = 1;    
    //new Date(año, mes, 1);

    for (let i = 1; i <= 42; i++) {
        if(i < diaSemana)
        {
            celdas.push({
                celda: i,
                dia: "&nbsp;",
                fecha: null,
                estado: false,
                hoy: false
            });
        }
        else if(dia_mes_cont > maxMes)
        {
            celdas.push({
                celda: i,
                dia: "&nbsp;",
                fecha: null,
                estado: false,
                hoy: false
            });
        }
        else
        { 
            var dia_actual = new Date(año, mes, dia_mes_cont);

            celdas.push({
                celda: i,
                dia: ceros(dia_mes_cont,2),
                fecha: dia_actual,
                estado: true,
                hoy: compare(ahora, dia_actual)
            });

            dia_mes_cont++;
        }        
    }   
}

function compare(f1, f2) {
    var result = false;
    var f1_t = new Date(f1.getFullYear(), f1.getMonth(), f1.getDate()); 
    var f2_t = new Date(f2.getFullYear(), f2.getMonth(), f2.getDate()); 
    if(f1_t.getTime() === f2_t.getTime())
        result = true;
    return result;
}

function render() {
    console.log("entro  render");
    $("#mes_actual").html(meses_texto[mes]+" DE "+año);

    for (let i = 0; i < celdas.length; i++) {
        $celda_temp = $('.c-celda-alt[data-celda="'+celdas[i].celda+'"]');
        $celda_temp.find(".c-dia-numero").html(celdas[i].dia);


        var agendas_dia = [];
        if(celdas[i].estado) {
            var fecha_temp = celdas[i].fecha;
            agendas_dia = buscar_agendas(fecha_temp.getDate(), fecha_temp.getMonth() + 1, fecha_temp.getFullYear());    
        }

        $celda_temp.find(".c-dia-contenido-alt").html('');
       
        if(agendas_dia.length > 0)
        {
            for (let j = 0; j < agendas_dia.length; j++) {
                $celda_temp.find(".c-dia-contenido-alt").append(                
                '<a class="c-texto bg-lt" href="javascript:void(0);" onclick="detalles('+agendas_dia[j].id+');">'+
                '<b>'+h24_to_12(agendas_dia[j].inicio)+'</b><span class="d-none d-md-inline"> - '+agendas_dia[j].titulo+'</span>'+
                '</a>');                
            }
        }

        if(celdas[i].estado)
            $celda_temp.removeClass("c-disabled");
        else
            $celda_temp.addClass("c-disabled");  

        if(celdas[i].hoy)
            $celda_temp.addClass("activo");
        else
            $celda_temp.removeClass("activo");  
    }

    $("#leyenda").html('');
    Object.keys(dependencias).forEach(function(key) {
        $("#leyenda").append(
        '<div class="d-inline-block me-2">'+
            '<div class="d-flex align-items-center">'+
                '<span class="badge bg-'+dependencias[key].color+' me-1"></span> '+dependencias[key].nombre+
            '</div>'+
        '</div>');
    })
}

function buscar_agendas(di, me, ye) {
    var res = [];
    for (let i = 0; i < agendas.length; i++) {
        if(agendas[i].dia == di & agendas[i].mes == me & agendas[i].year == ye){
            res.push(agendas[i]);
        }
    }
    return res;
}

function subm(frm) {
    document.getElementById(frm).submit();
}


function mes_act() {
    var hoy = new Date();
    dia = hoy.getDate();
    mes = hoy.getMonth();
    año = hoy.getFullYear();
    obtener_datos();
}

function mes_sig() {
    var dia_sel = new Date(año,mes,dia);
    dia_sel.setMonth(dia_sel.getMonth() + 1);
    dia = dia_sel.getDate();
    mes = dia_sel.getMonth();
    año = dia_sel.getFullYear();
    obtener_datos();
}

function mes_ant() {
    var dia_sel = new Date(año,mes,dia);
    dia_sel.setMonth(dia_sel.getMonth() - 1);
    dia = dia_sel.getDate();
    mes = dia_sel.getMonth();
    año = dia_sel.getFullYear();
    obtener_datos();
}

function detalles(id) {  
    var objitem = elementId(id, agendas);
    if(objitem != null)
    {
        $("#det_dependencia").html('<span class="text-'+dependencias[objitem.dependencia_id].color+'">'+objitem.dependencia.nombre+'</span>');
        $("#det_titulo").html(objitem.titulo);
        $("#det_descripcion").html(objitem.descripcion);
        $("#det_lugar").html(objitem.lugar);

        $("#det_fecha").html(dis_fecha(objitem.fecha));
        $("#det_inicio").html((h24_to_12(objitem.inicio)));
        $("#det_fin").html(h24_to_12(objitem.fin));
        
        
        $("#detalle").modal("show");  
    }     
}

function h24_to_12(hora_24) {
    var res = "";
    var temp_hora = hora_24.slice(0, 2);
    var temp_minuto = hora_24.slice(3, 5);
    var temp_hora_12 = temp_hora % 12 || 12;
    console.log((temp_hora_12+"").length);
    res += (temp_hora_12+"").length > 1 ? temp_hora_12 : "0"+temp_hora_12;
    res += ":"+temp_minuto;
    res += " "+(temp_hora < 12 ? "AM" : "PM");
    return res;
}
function ceros(num, zero) {
    var str = "" + num;
    var pad = "0".repeat(zero);
    return pad.substring(0, pad.length - str.length) + str;
}