<!doctype html>
<!--
* Tabler - Premium and Open Source dashboard template with responsive and high quality UI.
* @version 1.0.0-beta17
* @link https://tabler.io
* Copyright 2018-2023 The Tabler Authors
* Copyright 2018-2023 codecalm.net Paweł Kuna
* Licensed under MIT (https://github.com/tabler/tabler/blob/master/LICENSE)
-->
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Tampopata</title>
    <!-- CSS files -->
    <link href="{{ asset('/libs/tabler/css/tabler.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/libs/tabler/css/tabler.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/libs/tabler/css/tabler-flags.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/libs/tabler/css/tabler-payments.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/libs/tabler/css/tabler-vendors.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/libs/tabler/css/demo.min.css?1674944402') }}" rel="stylesheet"/>
    <link href="{{ asset('/css/admin/admin.css?1674944402') }}" rel="stylesheet"/>
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    @yield('css')
    <style>
      @import url('https://rsms.me/inter/inter.css');
      :root {
      	--tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
      }
      body {
      	font-feature-settings: "cv03", "cv04", "cv11";
      }
    </style>
    <meta name="csrf-token" content="{{ csrf_token() }}" />
  </head>
  <body >
    <script src="{{asset('libs/tabler/js/demo-theme.min.js?1674944402') }}"></script>
    <div class="page">
      <!-- Sidebar -->
      <aside class="navbar navbar-vertical navbar-expand-lg navbar-dark">
        <div class="container-fluid">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#sidebar-menu" aria-controls="sidebar-menu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <h1 class="navbar-brand navbar-brand-autodark">
            <a href="{{url('/inicio')}}"><img src="{{url('img/logo.png')}}" width="110" height="62" alt="Tabler" class="navbar-brand-image"style="height: 3.5rem;"></a>
          </h1>
          <div class="navbar-nav flex-row d-lg-none">
            <div class="nav-item dropdown">
              <a href="#" class="nav-link d-flex lh-1 text-reset p-0" data-bs-toggle="dropdown" aria-label="Open user menu">
                <span class="avatar avatar-sm">{{ Auth::user()->siglas}}</span>
                <div class="d-none d-xl-block ps-2">
                    <div>{{Auth::user()->name}}</div>
                    <div class="mt-1 small text-muted color_white">
                        @if(Auth::user()->tipo=='1')
                            Administrador
                        @endif
                        @if(Auth::user()->tipo=='2')
                            Relaciones publicas
                        @endif
                        @if(Auth::user()->tipo=='3')
                            Alcaldia
                        @endif 
                        @if(Auth::user()->tipo=='4')
                            Gerencia
                        @endif                  
                    </div>
                </div>
              </a>
              <div class="dropdown-menu dropdown-menu-end dropdown-menu-arrow">
                <a href="#" class="dropdown-item">Cambiar contraseña</a>
                <a href="{{ url('logout') }}" class="dropdown-item">Salir</a>
              </div>
            </div>
          </div>
          <div class="collapse navbar-collapse" id="sidebar-menu">
            <ul class="navbar-nav pt-lg-3">
                  <li class="nav-item  {{ (request()->is('/administracion')) ? 'active' : '' }} dropdown">
                    <a class="nav-link dropdown-toggle show" href="#navbar-layout" data-bs-toggle="dropdown" data-bs-auto-close="false" role="button" aria-expanded="true" >
                    <span class="nav-link-icon d-md-none d-lg-inline-block"><!-- Download SVG icon from http://tabler-icons.io/i/layout-2 -->
                        <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 4m0 2a2 2 0 0 1 2 -2h2a2 2 0 0 1 2 2v1a2 2 0 0 1 -2 2h-2a2 2 0 0 1 -2 -2z" /><path d="M4 13m0 2a2 2 0 0 1 2 -2h2a2 2 0 0 1 2 2v3a2 2 0 0 1 -2 2h-2a2 2 0 0 1 -2 -2z" /><path d="M14 4m0 2a2 2 0 0 1 2 -2h2a2 2 0 0 1 2 2v3a2 2 0 0 1 -2 2h-2a2 2 0 0 1 -2 -2z" /><path d="M14 15m0 2a2 2 0 0 1 2 -2h2a2 2 0 0 1 2 2v1a2 2 0 0 1 -2 2h-2a2 2 0 0 1 -2 -2z" /></svg>
                    </span>
                    <span class="nav-link-title">
                        {{'Administración'}}
                    </span>
                    </a>
                    <div class="dropdown-menu  show">
                        <div class="dropdown-menu-columns">
                            <div class="dropdown-menu-column">
                                @if(Auth::user()->tipo=='1')
                                    <a class="dropdown-item {{ (request()->is('/administracion/usuarios')) ? 'active' : '' }}" href="{{url('/administracion/usuarios')}}">
                                        Usuarios
                                    </a>                             
                                    <a class="dropdown-item {{ (request()->is('/administracion/noticias')) ? 'active' : '' }}" href="{{url('/administracion/noticias')}}">
                                        Noticias  
                                    </a> 
                                    <a class="dropdown-item {{ (request()->is('/administracion/comunicados')) ? 'active' : '' }}" href="{{url('/administracion/comunicados')}}">
                                        Comunicados
                                    </a>
                                    <a class="dropdown-item {{ (request()->is('/administracion/directivas')) ? 'active' : '' }}" href="{{url('/administracion/directivas')}}">
                                        Directivas
                                    </a>                           
                                    <a class="dropdown-item {{ (request()->is('/administracion/agenda alcaldia')) ? 'active' : '' }}" href="{{url('/administracion/agenda alcaldia')}}">
                                        Agenda Alcalde  
                                    </a>                            
                                    <a class="dropdown-item {{ (request()->is('/administracion/gerente')) ? 'active' : '' }}" href="{{url('/administracion/gerente')}}">
                                        Agenda Gerente Municipal  
                                    </a>                          
                                    <a class="dropdown-item {{ (request()->is('/administracion/pagina')) ? 'active' : '' }}" href="{{url('/administracion/pagina')}}">
                                        Paginas  
                                    </a>
                                @endif   
                                @if(Auth::user()->tipo=='2')
                                    <a class="dropdown-item {{ (request()->is('/administracion/noticias')) ? 'active' : '' }}" href="{{url('/administracion/noticias')}}">
                                        Noticias
                                    </a>
                                    <a class="dropdown-item {{ (request()->is('/administracion/comunicados')) ? 'active' : '' }}" href="{{url('/administracion/comunicados')}}">
                                        Comunicados
                                    </a>
                                    <a class="dropdown-item {{ (request()->is('/administracion/directivas')) ? 'active' : '' }}" href="{{url('/administracion/directivas')}}">
                                        Directivas
                                    </a> 
                                @endif  
                                @if(Auth::user()->tipo=='3')
                                    <a class="dropdown-item {{ (request()->is('/administracion/agenda alcaldia')) ? 'active' : '' }}" href="{{url('/administracion/agenda alcaldia')}}">
                                        Agenda del alcalde 
                                    </a>
                                @endif  
                                @if(Auth::user()->tipo=='4')
                                    <a class="dropdown-item {{ (request()->is('/administracion/gerente')) ? 'active' : '' }}" href="{{url('/administracion/gerente')}}">
                                        Agenda Gerente Municipal
                                    </a>
                                @endif    
                            </div>
                        </div>
                    </div>
                  </li>
            </ul>
          </div>
        </div>
      </aside>
      <!-- Navbar -->
      <header class="navbar navbar-expand-md navbar-light d-none d-lg-flex d-print-none">
        <div class="container-xl"style="margin: 0px 0px 0 15px;">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar-menu" aria-controls="navbar-menu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="navbar-nav flex-row order-md-last">
            <div class="nav-item dropdown">
              <a href="#" class="nav-link d-flex lh-1 text-reset p-0" data-bs-toggle="dropdown" aria-label="Open user menu">
                <span class="avatar avatar-sm" style="background-image: url(./static/avatars/000m.jpg)">{{Auth::user()->siglas}}</span>
                <div class="d-none d-xl-block ps-2">
                    <div>{{Auth::user()->nombre}}</div>
                    <div class="mt-1 small text-muted color_white">
                        @if(Auth::user()->tipo=='1')
                            Administrador
                        @endif
                        @if(Auth::user()->tipo=='2')
                            Relaciones publicas
                        @endif
                        @if(Auth::user()->tipo=='3')
                            Alcaldia
                        @endif 
                        @if(Auth::user()->tipo=='4')
                            Gerencia
                        @endif                  
                    </div>
                </div>
              </a>
              <div class="dropdown-menu dropdown-menu-end dropdown-menu-arrow">
                <a href="#" class="dropdown-item">Cambiar Contraseña</a>
                <a href="{{ url('logout') }}" class="dropdown-item"                          
                  onclick="event.preventDefault();
                  document.getElementById('logout-form').submit();" >
                  <svg xmlns="http://www.w3.org/2000/svg" class="icon dropdown-item-icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 6a7.75 7.75 0 1 0 10 0" /><line x1="12" y1="4" x2="12" y2="12" /></svg>
                  Salir
                </a>
                <form id="logout-form" action="{{ url('logout') }}" method="POST" style="display: none;">
                  @csrf
                </form>
              </div>
            </div>
          </div>
          <div class="collapse navbar-collapse" id="navbar-menu">
            <div>
              <div class="input-icon">                
                <h1 class="navbar-brand navbar-brand-autodark">
                  <a class="color_black" href="{{url('/')}}">
                    <img src="{{url('img/logo.png')}}" height="36" alt=""> Municipalidad Distrital de Tambopata
                  </a>
                </h1>
              </div>
            </div>
          </div>
          
        </div>
      </header>
      <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
          <div class="container-xl">
            <div class="row g-2 align-items-center">
              <div class="col">
                <!-- Page pre-title -->
                <div class="page-pretitle">
                  @yield('Titulo_contenido')
                </div>
                <h2 class="page-title">
                  @yield('subtitulo_contenido')
                </h2>
              </div>
              <!-- Page title actions -->
              <div class="col-auto ms-auto d-print-none">
                <div class="btn-list">
                  @yield('botones')
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Page body -->
        <div class="row page-body">
          <div class="col-12 container-xl">
            <div class="row row-deck row-cards">
              @yield('content')
            </div>
          </div>
        </div>
        <footer class="footer footer-transparent d-print-none">
          <div class="container-xl">
            <div class="row text-center align-items-center flex-row-reverse">
              <div class="col-lg-auto ms-lg-auto">
                <ul class="list-inline list-inline-dots mb-0">
                  <li class="list-inline-item"><a href="./docs/" class="link-secondary"></a></li>
                </ul>
              </div>
              <div class="col-12 col-lg-auto mt-3 mt-lg-0">
                <ul class="list-inline list-inline-dots mb-0">

                  <li class="list-inline-item">
                    Diseñado por <a href="" target="_blank">Irvin Abel Contreras Rios</a> | MUNICIPALIDAD DE TAMBOPATA | Todos los Derechos Reservados.
                  </li>
                  <li class="list-inline-item">
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </footer>
      </div>
    </div>
    <div id="mensaje_container"></div>
    <!-- MODAL -->
    @yield('modal')
    <!-- Tabler Core -->
    <script src="{{ asset('/js/jquery-3.6.0.min.js') }}"></script>
    <script src="{{ asset('/libs/tabler/js/tabler.min.js?1674944402') }}"></script>
    <script src="{{ asset('/libs/tabler/js/demo.min.js?1674944402') }}"></script>
    <script src="{{ asset('js/utilitarios.js?v='.config('app.version')) }}"></script>
    <script type="text/javascript">
        $.ajaxSetup({
          headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }
        });       
      </script>
     @yield('js')
  </body>
</html>