
$( document ).ready(function() {

    tabla = $("#t_usuario").DataTable({
        "processing": true,
        "serverSide": true,
        "pageLength": 50,
        "order": [],
        "ajax": {
            "url":  "/json/users",
            "type": "GET",
            "data": function ( d ) {
                
            },
            "error": default_error_handler        
        },
        "columns": [
            { "data": "nro_documento"   
            },
            { "data": "nombre",
                render: function ( data, type, full ) {                      
                    return '<span>'+full.nombre+' '+full.apaterno+' '+full.amaterno+'</span>';
                }        
            },
            { "data": "tipo",
                render: function ( data, type, full ) {    
                    if(full.tipo=="1")                  
                        return '<span>Administrador</span>';
                    if(full.tipo=="2")                  
                        return '<span>Relaciones Públicas</span>';
                    if(full.tipo=="3")                  
                        return '<span>Alcaldia</span>';
                    if(full.tipo=="4")                  
                        return '<span>Gerencia</span>';
                }        
            },
            { "data": "email" },  
            {"data": null,//estado
                "searchable": false, "orderable": false, className: "w-1",
                    render: function ( data, type, full ) {  
                        if(full.estado==1)
                        return '<div class="btn-list flex-nowrap">'+
                                    '<a class="btn btn-white btn-icon text-green" href="javascript:void(0);" onclick="cambiar('+full.estado+','+full.id+')" title="Ocultar">'+
                                        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye-filled" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M12 4c4.29 0 7.863 2.429 10.665 7.154l.22 .379l.045 .1l.03 .083l.014 .055l.014 .082l.011 .1v.11l-.014 .111a.992 .992 0 0 1 -.026 .11l-.039 .108l-.036 .075l-.016 .03c-2.764 4.836 -6.3 7.38 -10.555 7.499l-.313 .004c-4.396 0 -8.037 -2.549 -10.868 -7.504a1 1 0 0 1 0 -.992c2.831 -4.955 6.472 -7.504 10.868 -7.504zm0 5a3 3 0 1 0 0 6a3 3 0 0 0 0 -6z" stroke-width="0" fill="currentColor" /></svg>'+
                                    '</a>'+
                                '</div>'; 
                        else
                            return '<div class="btn-list flex-nowrap">'+
                                    '<a class="btn btn-white btn-icon text-red" href="javascript:void(0);" onclick="cambiar('+full.estado+','+full.id+')" title="Mostrar">'+
                                        '<svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye-off" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none" /><path d="M10.585 10.587a2 2 0 0 0 2.829 2.828" /><path d="M16.681 16.673a8.717 8.717 0 0 1 -4.681 1.327c-3.6 0 -6.6 -2 -9 -6c1.272 -2.12 2.712 -3.678 4.32 -4.674m2.86 -1.146a9.055 9.055 0 0 1 1.82 -.18c3.6 0 6.6 2 9 6c-.666 1.11 -1.379 2.067 -2.138 2.87" /><path d="M3 3l18 18" /></svg>'+
                                    '</a>'+
                                '</div>'; 
                }
            }, 
            { 
                "data": null,
                "searchable": false, "orderable": false, className: "w-1",
                    render: function ( data, type, full ) {   
                    var res = '<div class="btn-list flex-nowrap">'+
                                '<button class="btn btn-white btn-icon" onclick="modificar('+full.id+');" title="MODIFICAR">'+
                                    '<svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M9 7h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" /><path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" /><line x1="16" y1="5" x2="19" y2="8" /></svg>'+
                                '</button>'+
                                '<button class="btn btn-white btn-icon" onclick="cambiar_p('+full.id+');" title="CAMBIAR CONTRASEÑA">'+
                                    '<svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="5" y="11" width="14" height="10" rx="2" /><circle cx="12" cy="16" r="1" /><path d="M8 11v-4a4 4 0 0 1 8 0v4" /></svg>'+
                                '</button>'+                                
                            '</div>';
                    return res;
                }
            }
        ],
        "dom": default_datatable_dom,
        "language": default_datatable_language,
        "initComplete" : default_datatable_buttons
    }); 
    
});

function cambiar(item,id) {    
    $.ajax({
        type: "POST",
        url: "/json/users/estado",
        data: {
            estado:item,
            id: id,
        },
        success: function(result){  
            tabla.ajax.reload();      
            alerta(result.message, true); 
        },
        error: function(error) {                
            alerta(response_helper(error), false);      
        }
    });        
}

function nuevo() 
{
    editItem = 0;
    limpiar('#form_editar');
    vaciar('#form_editar');
    $("#persona_id").val(0);   
    $("#persona_id").trigger('change'); 
    $("#rol_id").val(0);    
    $("#editar").modal("show");
}

function modificar(iditem) 
{
    editItem = iditem;
    limpiar('#form_modificar');
    vaciar('#form_modificar');

    var data = tabla.rows().data();
    var objitem = elementId(iditem, data);

    if(objitem != null)
    {        
        $("#m_rol_id").val(objitem.tipo);  
        $("#m_email").val(objitem.email);             
        $('#estado').prop('checked', (objitem.estado == 1));  
        $("#modificar").modal("show");
    }
    else
        alert("No se encontro el item");
}

function cambiar_p(iditem) 
{
    editItem = iditem;
    limpiar('#form_password');
    vaciar('#form_password');

    var data = tabla.rows().data();
    var objitem = elementId(iditem, data);

    if(objitem != null)
    {        
        $("#p_email").val(objitem.email);             
        $("#m_password").modal("show");
    }
    else
        alert("No se encontro el item");
}


function guardar_nuevo() 
{
    //("hola");
    if(validar('#form_editar'))
    {
        $.ajax({
            type: "POST",
            url: "/json/users",
            data: {
                documento: $("#documento").val(),
                nombre: $("#nombre").val(),
                tipo: $("#rol_id").val(), 
                email: $("#email").val(), 
                password: $("#password_nuevo").val(),
                password_confirmation: $("#password_confirmed_nuevo").val()
            },
            success: function(result){  
                tabla.ajax.reload();
                $("#nuevo").modal("hide");       
                alerta(result.message, true); 
            },
            error: function(error) {                
                alerta(response_helper(error), false);      
            }
        });  
    }    
}

function modificar(iditem) 
{
    editItem = iditem;
    limpiar('#form_modificar');
    vaciar('#form_modificar');

    var data = tabla.rows().data();
    var objitem = elementId(iditem, data);

    if(objitem != null)
    {        
        $("#m_rol_id").val(objitem.tipo);  
        $("#m_email").val(objitem.email);             
        $('#estado').prop('checked', (objitem.estado == 1));  
        $("#modificar").modal("show");
    }
    else
        alert("No se encontro el item");
}

function cambiar_p(iditem) 
{
    editItem = iditem;
    limpiar('#form_password');
    vaciar('#form_password');

    var data = tabla.rows().data();
    var objitem = elementId(iditem, data);

    if(objitem != null)
    {        
        $("#p_email").val(objitem.email);             
        $("#m_password").modal("show");
    }
    else
        alert("No se encontro el item");
}


function guardar() 
{
    if(validar('#form_editar'))
    {
        $("#editar").modal("hide");       
        $.ajax({
            type: "POST",
            url: "/json/users",
            data: {
                persona_id: $("#persona_id").val(),
                tipo: $("#rol_id").val(), 
                email: $("#email").val(), 
                password: $("#password").val(),
                password_confirmation: $("#password_confirmed").val()
            },
            success: function(result){  
                alerta(result.message, true); 
                tabla.ajax.reload();
            },
            error: function(error) {                
                alerta(response_helper(error), false);      
            }
        });  
    }    
}


function guardar_modificar() 
{
    if(validar('#form_modificar'))
    {
        $("#modificar").modal("hide");
       
        $.ajax({
            type: "PUT",
            url: "/json/users/"+editItem,
            data: {                   
                tipo: $("#m_rol_id").val(),
                estado: ($("#estado").is(':checked') ? 1 : 0 )
            },
            success: function(result){  
                alerta(result.message, true); 
                tabla.ajax.reload();
            },
            error: function(error) {                
                alerta(response_helper(error), false);            
            }
        });
    
    }    
}

function guardar_password() {
    if(validar('#form_password'))
    {
        $("#m_password").modal("hide");
       
        $.ajax({
            type: "PUT",
            url: +'/json/users/'+editItem+'/password',
            data: {                   
                password: $("#pchange").val(),                  
                password_confirmation: $("#pchange_confirmed").val(),  
            },
            success: function(result){  
                alerta(result.message, true); 
                tabla.ajax.reload();
            },
            error: function(error) {                
                alerta(response_helper(error), false);            
            }
        });
    
    } 
}
function descargar() {
    $.ajax({
        type: "GET",
        url: +'/json/usuarios/excel',
        success: function(result){  
            alerta(result.message, true); 
        },
        error: function(error) {                
            alerta(response_helper(error), false);            
        }
    });
}
