<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('index');
Route::get('/turismo', [App\Http\Controllers\HomeController::class, 'turismo']);
Route::get('/informacion', [App\Http\Controllers\HomeController::class, 'informacion']);
Route::get('/historia', [App\Http\Controllers\HomeController::class, 'historia']);
Route::get('/alcalde', [App\Http\Controllers\HomeController::class, 'alcalde']);
Route::get('/mision y vision', [App\Http\Controllers\HomeController::class, 'mision_vision']);
Route::get('/concejo municipal', [App\Http\Controllers\HomeController::class, 'concejo']);
Route::get('/directorio', [App\Http\Controllers\HomeController::class, 'directorio']);
//areas tematicas
Route::get('/administracion', [App\Http\Controllers\HomeController::class, 'administracion']);
Route::get('/desarrollo', [App\Http\Controllers\HomeController::class, 'desarrollo']);
Route::get('/transporte', [App\Http\Controllers\HomeController::class, 'transporte']);
Route::get('/servicios', [App\Http\Controllers\HomeController::class, 'servicios']);
Route::get('/noticias', [App\Http\Controllers\HomeController::class, 'noticias']);
Route::get('/noticias/{id}', [App\Http\Controllers\HomeController::class, 'noticia']);
Route::get('/comunicados', [App\Http\Controllers\HomeController::class, 'comunicados']);
Route::get('/comunicado/{id}', [App\Http\Controllers\HomeController::class, 'comunicado']);
Route::get('/directivas', [App\Http\Controllers\HomeController::class, 'directivas']);
Route::get('/tupa', [App\Http\Controllers\HomeController::class, 'tupa']);
Route::get('/agenda alcalde', [App\Http\Controllers\HomeController::class, 'agenda_alcalde']);
Route::get('/agenda gerente', [App\Http\Controllers\HomeController::class, 'agenda_gerente']);
Route::get('/limpieza', [App\Http\Controllers\HomeController::class, 'limpieza']);
Route::get('/omaped', [App\Http\Controllers\HomeController::class, 'omaped']);

Auth::routes();
Route::get('/inicio', [App\Http\Controllers\AdministracionController::class, 'index'])->name('home');
//administracion
Route::get('/administracion', [App\Http\Controllers\AdministracionController::class, 'index'])->name('home');
Route::get('/administracion/usuarios', [App\Http\Controllers\AdministracionController::class, 'usuario'])->middleware('permisos:usuarios');
Route::get('/administracion/noticias', [App\Http\Controllers\AdministracionController::class, 'noticia'])->middleware('permisos:noticias');
Route::get('/administracion/noticias/nueva/{id}', [App\Http\Controllers\AdministracionController::class, 'nueva_noticia'])->middleware('permisos:noticias');
Route::get('/administracion/comunicados', [App\Http\Controllers\AdministracionController::class, 'comunicados'])->middleware('permisos:comunicados');
Route::get('/administracion/directivas', [App\Http\Controllers\AdministracionController::class, 'directivas'])->middleware('permisos:directivas');
Route::get('/administracion/pagina', [App\Http\Controllers\AdministracionController::class, 'pagina'])->middleware('permisos:pagina');
Route::get('/administracion/{agenda alcaldia}', [App\Http\Controllers\AdministracionController::class, 'agenda_alcaldia'])->middleware('permisos:agenda alcalde');
Route::get('/administracion/{gerente}', [App\Http\Controllers\AdministracionController::class, 'agenda_alcaldia'])->middleware('permisos:agenda gerente');
Route::get('/administracion/pagina/vista', [App\Http\Controllers\AdministracionController::class, 'vista'])->middleware('permisos:pagina');

//Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::prefix('json')->group(function () {
    
        //USER
    Route::get('users', [App\Http\Controllers\Api\UsuarioController::class, 'listar']);
    Route::get('users/buscar', [App\Http\Controllers\Api\UsuarioController::class, 'buscar']);
    Route::post('users',  [App\Http\Controllers\Api\UsuarioController::class, 'nuevo']);
    Route::post('users/estado',  [App\Http\Controllers\Api\UsuarioController::class, 'estado']);
    Route::put('users/{id}', [App\Http\Controllers\Api\UsuarioController::class, 'modificar']);
    Route::put('users/{id}/password',  [App\Http\Controllers\Api\UsuarioController::class, 'cambiar_password']);
    Route::post('users/password/renovar',  [App\Http\Controllers\Api\UsuarioController::class, 'renovar_password']);
    Route::put('users/datos/actualizar',  [App\Http\Controllers\Api\UsuarioController::class, 'actualizar']);

   
    //noticias
    Route::get('noticias', [App\Http\Controllers\Api\NoticiaController::class, 'listar']);
    Route::delete('noticia/{id}', [App\Http\Controllers\Api\NoticiaController::class, 'eliminar']);
    Route::post('/noticia/nuevo', [App\Http\Controllers\Api\NoticiaController::class, 'nuevo']);
    Route::post('/noticia/estado', [App\Http\Controllers\Api\NoticiaController::class, 'estado']);
    //comunicados
    Route::get('comunicados', [App\Http\Controllers\Api\ComunicadoController::class, 'listar']);
    Route::post('/comunicado/nuevo', [App\Http\Controllers\Api\ComunicadoController::class, 'nuevo']);
    Route::post('/comunicado/estado', [App\Http\Controllers\Api\ComunicadoController::class, 'estado']);
    Route::delete('/comunicado/{id}', [App\Http\Controllers\Api\ComunicadoController::class, 'eliminar']);
    //directivas
    Route::get('directivas', [App\Http\Controllers\Api\DirectivaController::class, 'listar']);
    Route::post('/directivas/nuevo', [App\Http\Controllers\Api\DirectivaController::class, 'nuevo']);
    Route::post('/directivas/estado', [App\Http\Controllers\Api\DirectivaController::class, 'estado']);
    Route::delete('/directivas/{id}', [App\Http\Controllers\Api\DirectivaController::class, 'eliminar']);

    Route::post('/procesar/agendas', [App\Http\Controllers\Api\PublicoController::class,'agendas']);  
    Route::get('agenda/listar/{agenda}', [App\Http\Controllers\Api\AgendaController::class,'listar']);  
    Route::post('agenda/nuevo', [App\Http\Controllers\Api\AgendaController::class,'nuevo']);
    Route::post('agenda/modificar/{id}', [App\Http\Controllers\Api\AgendaController::class,'modificar']);
    Route::post('agenda/eliminar/{id}', [App\Http\Controllers\Api\AgendaController::class,'eliminar']);


    //paginas
    Route::post('pagina', [App\Http\Controllers\Api\PaginaController::class,'actualizar']);
    Route::post('vista', [App\Http\Controllers\Api\PaginaController::class,'vista']);










    Route::get('archivos', [App\Http\Controllers\Api\ArchivoController::class, 'listar']);
    Route::post('archivos',  [App\Http\Controllers\Api\ArchivoController::class, 'nuevo']);
    Route::post('archivos/mover',  [App\Http\Controllers\Api\ArchivoController::class, 'mover']);
    Route::delete('archivos/{id}',  [App\Http\Controllers\Api\ArchivoController::class, 'eliminar']);
    
    Route::post('/archivos/cargar', [App\Http\Controllers\Api\ArchivoController::class,'nuevo']);
    Route::post('/archivos/recientes', [App\Http\Controllers\Api\ArchivoController::class,'recientes']); 
    Route::post('/archivos/eliminar/{id}', [App\Http\Controllers\Api\ArchivoController::class,'eliminar']);
    Route::post('/archivos/porvalidar', [App\Http\Controllers\Api\ArchivoController::class,'por_validar']);
    Route::post('/archivos/validar/{id}', [App\Http\Controllers\Api\ArchivoController::class,'validar']);
    Route::post('/archivos/buscar', [App\Http\Controllers\Api\ArchivoController::class,'buscar']);  
    Route::post('/archivos/detalle', [App\Http\Controllers\PaadforController::class,'detalles']);  
    Route::post('/archivo/actualizar/{id}', [App\Http\Controllers\Api\ArchivoController::class,'actualizar']);
    Route::get('/archivos/size', [App\Http\Controllers\Api\ArchivoController::class,'size']);  
    //reporte
    Route::get('/reporte/mireporte', [App\Http\Controllers\Api\ArchivoController::class,'listar_usuario']);  
    Route::post('reportes/meta/excel', [App\Http\Controllers\ReportesController::class,'export_meta']);  
    Route::get('reportes/meta/excel_usuario', [App\Http\Controllers\Api\ArchivoController::class,'listar_usuario']);  
    // rerpotes pdf
    Route::get('/documentos', [App\Http\Controllers\Api\DocumentoController::class,'listar']);  
    Route::post('/documentos', [App\Http\Controllers\Api\DocumentoController::class,'nuevo']);  
    Route::post('/documentos/{id}', [App\Http\Controllers\Api\DocumentoController::class,'actualizar']);
}); 